module GitHelper
  # Initialize git environment in current directory.
  def self.init_repo
    Git.execute 'init'

    change_author('')
  end

  # Change the author name and email by adding additional_info provided when the function gets called.
  def self.change_author(additional_info)
    Git.execute "config user.email 'you#{additional_info}@example.com'"
    Git.execute "config user.name 'Your Name #{additional_info}'"
  end

  # Write "Commit #'number'" into the file and then commit the change
  # The authors will have name "Your name 'number'" and email "you'number'@example.com"
  def self.add_commit(number, file)
    number.times do |num|
      open(file, 'a') do |f|
        f << "\nCommit #" + "#{num}"
      end
      change_author num
      Git.execute "add #{file}"
      Git.execute 'commit -m "Commit #' + "#{num}" + '."'
    end
  end
end
